# ValheimPlayerModels
![preview](https://github.com/Ikeiwa/ValheimPlayerModels/blob/main/preview.png?raw=true)

 ----- REUPLOAD OF "Ikeiwa's ValheimPlayerModels" MOD ------
 ----- ORIGNIAL DOCUMENTATION BELOW -----

# How to install

 1. Download and install the [BepInEx package](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/)
 2. Drag and drop ValheimPlayerModels.dll in the "BepInEx/plugin" folder in your game install folder
 3. Launch the game
 4. Place all your avatars in the newly created "PlayerModels" folder inside your game install folder
 5. The mod will load the avatar with the same filename as your character name (you might want to restart the game)

# How to create an avatar

 1. Install [Unity 2019.4.31](https://unity3d.com/fr/unity/whats-new/2019.4.31)
 2. Create a new 3D Project
 3. [Download the SDK](https://github.com/Ikeiwa/ValheimPlayerModels/releases/latest/download/ValheimPlayerModel_SDK.unitypackage)
 4. Import the SDK and all your avatar assets
 5. Change your avatar model rig to Humanoid
 6. Place your avatar model in the scene
 7. Add a "Valheim Avatar Descriptor" component on your avatar
 8. Clic the "Auto-Setup" Button
 9. Move the different equipement previews how you like
 10. (optional) change your avatar material shaders to "Valheim/Standard"
 11. Click the "Export" button in the Avatar Descriptor
 12. Export in the "PlayerModels" folder in your game install folder
